### Class

# Gimp ThumbnailProcedure

#### Description

    class Gimp.ThumbnailProcedure : Gimp.Procedure {
      parent_instance: GimpProcedure,
      priv: GimpThumbnailProcedurePrivate*
    }

No description available.

#### Ancestors

- GimpProcedure
- GObject

#### Constructors

###### gimp_thumbnail_procedure_new

Creates a new thumbnail procedure named `name` which will call `run_func` when invoked.

Available since: 3.0

#### Instance methods

##### Methods inherited from GimpProcedure (45)

Please see GimpProcedure for a full list of methods.

##### Methods inherited from GObject (43)

Please see GObject for a full list of methods.

#### Properties

##### Properties inherited from GimpProcedure (3)

###### Gimp.Procedure:name

No description available.

###### Gimp.Procedure:plug-in

No description available.

###### Gimp.Procedure:procedure-type

No description available.

#### Signals

##### Signals inherited from GObject (1)

###### GObject.Object::notify

The notify signal is emitted on an object when one of its properties has its value set through g_object_set_property(), g_object_set(), et al.

#### Class structure

    struct GimpThumbnailProcedureClass {
      GimpProcedureClass parent_class;

    }

###### Class members

`parent_class`

    GimpProcedureClass

| No description available.